Deactivate Kiosk

Purpose

To deactivate an active Kiosk in your Zoho CRM account. Once deactivated, the Kiosk will no longer be accessible for users. Use the Get All Kiosks API to retrieve the Kiosk ID. 

Note
Availability: Standard, Professional, Enterprise, and Ultimate editions.

Permission Required: Administrator profile, or profiles with either the Module Customization or Manage Automation  permission enabled.

Endpoints

  • DELETE /settings/kiosks/{kiosk_ID}/actions/activate

Request Details

Request URL

{api-domain}/crm/{version}/settings/kiosks/{kiosk_ID}/actions/activate

Header

Authorization: Zoho-oauthtoken d92d4xxxxxxxxxxxxx15f52

Scope

ZohoCRM.settings.kiosks.DELETE
(or)
ZohoCRM.settings.ALL
 

Note

  • A Kiosk must be in the Active (Published) state before it can be deactivated. After deactivation, its status changes to inactive. To make the Kiosk active again, use the Activate Kiosk API.
  • You cannot deactivate a Kiosk that has existing associations. For example, if the Kiosk is associated with the Record Details View or any other supported component, you must remove those associations before deactivating the Kiosk.

Sample Request

Copiedcurl "https://www.zohoapis.com/crm/v8/settings/kiosks/5725767000010093012/actions/activate"
-X DELETE
-H "Authorization: Zoho-oauthtoken 1000.8cb99dxxxxxxxxxxxxx9be93.9b8xxxxxxxxxxxxxxxf"

Possible Errors

  • INVALID_DATAHTTP 400

    Invalid Kiosk ID
    Resolution: Specify a valid Kiosk ID. Use the Get All Kiosks API to retrieve the Kiosk ID.

  • ALREADY_DEACTIVATEDHTTP 400

    The specified Kiosk ID has already been deactivated
    Resolution: Specify a Kiosk ID which is in active state or in draft state. Use the Get All Kiosks API to identify a Kiosk whose status is active.

  • NOT_ALLOWEDHTTP 400

    The Kiosk cannot be deactivated because it has existing associations with other components.
    Resolution: Remove all existing associations from the Kiosk, and then retry the request.

  • INVALID_REQUEST_METHODHTTP 400

    The http request method type is not a valid one
    Resolution: You have specified an invalid HTTP method to access the API URL. Specify a valid request method. Refer to the Endpoints section for more details.

  • OAUTH_SCOPE_MISMATCHHTTP 401

    Unauthorized
    Resolution: The client does not have a valid scope to deactivate the Kiosk. Create a new token with valid scope. Refer to the Scope section for more details.

  • AUTHENTICATION_FAILUREHTTP 401

    Authentication failed
    Resolution: Pass the access token in the request header of the API call.

  • INVALID_URL_PATTERNHTTP 404

    Please check if the URL trying to access is a correct one
    Resolution: The request URL specified is incorrect. Specify a valid request URL. Refer to the Request URL section for more details.

  • INTERNAL_ERRORHTTP 500

    Internal Server Error
    Resolution: Unexpected and unhandled exception in the server. Contact support team.

Sample Response

Copied{
    "kiosks": {
        "code": "SUCCESS",
        "details": {
            "id": "5725767000010093012"
        },
        "message": "Kiosk deactivated successfully",
        "status": "success"
    }
}